Bug 1044779 - Need to package ASIX driver into installer initramfs
Summary: Need to package ASIX driver into installer initramfs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 20
Hardware: arm
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 00:25 UTC by Stephen Warren
Modified: 2014-04-06 02:37 UTC (History)
5 users (show)

Fixed In Version: dracut-037-10.git20140402.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-06 02:37:05 UTC


Attachments (Terms of Use)

Description Stephen Warren 2013-12-19 00:25:14 UTC
Description of problem:

The driver for ASIX USB Ethernet adapters isn't packaged into the armhf installer initramfs.

Version-Release number of selected component (if applicable):

Fedora 20 release images

How reproducible:

Always

Steps to Reproduce:

Boot ARM installer with ASIX Ethernet adapter plugged in, and no other Ethernet devices

Actual results:

System drops to emergency shell, since root FS image can't be downloaded, since there's no network.

Expected results:

ASIX module is loaded, networking is initialized, installer proceeds.

Additional info:

While TrimSlice has a built-in PCIe ethernet which works as an alternative, most other NVIDIA Tegra-based boards don't, so this limits where the Fedora installer can be used.

IRC #fedoram-arm:

<dgilmore> we probably need to patch dracut to pull the module into the installers initramfs

Comment 1 Peter Robinson 2013-12-19 00:29:27 UTC
To provide the full context:
> <dgilmore> we probably need to patch dracut to pull the module into the
> installers initramfs

(00:16:44) dgilmore: pbrobinson: its supposed to know how to find them all and pull them in

Comment 2 Harald Hoyer 2013-12-19 15:26:34 UTC
can you show me the output of:

$ nm <path to ASIX USB Ethernet kernel module>

Comment 3 Peter Robinson 2013-12-19 15:32:55 UTC
nm /lib/modules/3.12.5-301.fc20.x86_64/kernel/drivers/net/usb/asix.ko 
0000000000000000 d asix_driver
0000000000000000 t asix_driver_exit
0000000000000000 t asix_driver_init
0000000000002a70 T asix_get_drvinfo
0000000000002600 T asix_get_eeprom
00000000000025f0 T asix_get_eeprom_len
0000000000000550 t asix_get_link
0000000000001ec0 T asix_get_phy_addr
0000000000000d80 t asix_get_phyid.isra.7
0000000000002500 T asix_get_wol
0000000000000570 t asix_ioctl
00000000000030b0 t asix_mdio_bus_read
0000000000003090 t asix_mdio_bus_write
0000000000002380 T asix_mdio_read
0000000000002440 T asix_mdio_write
0000000000001850 T asix_read_cmd
0000000000002080 T asix_read_medium_status
0000000000001de0 T asix_read_phy_addr
0000000000001f50 T asix_read_rx_ctl
0000000000001b70 T asix_rx_fixup_common
0000000000001900 T asix_rx_fixup_internal
0000000000002710 T asix_set_eeprom
0000000000001d70 T asix_set_hw_mii
0000000000002ac0 T asix_set_mac_address
0000000000002260 T asix_set_multicast
0000000000000b10 t asix_set_netdev_dev_addr.isra.5
0000000000001d00 T asix_set_sw_mii
0000000000002590 T asix_set_wol
0000000000000860 t asix_status
0000000000001ee0 T asix_sw_reset
0000000000001b90 T asix_tx_fixup
00000000000018a0 T asix_write_cmd
00000000000018d0 T asix_write_cmd_async
00000000000021b0 T asix_write_gpio
0000000000002100 T asix_write_medium_mode
0000000000001fd0 T asix_write_rx_ctl
0000000000002c10 t ax88172a_adjust_link
0000000000003130 t ax88172a_bind
00000000000014e0 r ax88172a_ethtool_ops
0000000000003020 t ax88172a_get_settings
0000000000001460 R ax88172a_info
0000000000003050 t ax88172a_ioctl
0000000000001660 r ax88172a_netdev_ops
0000000000002fc0 t ax88172a_nway_reset
0000000000002d40 t ax88172a_reset
0000000000002cd0 t ax88172a_reset_phy
0000000000002b70 t ax88172a_rx_fixup
0000000000002ff0 t ax88172a_set_settings
0000000000002b60 t ax88172a_status
0000000000002b90 t ax88172a_stop
00000000000030d0 t ax88172a_unbind
0000000000000ba0 t ax88172_bind
00000000000011e0 r ax88172_ethtool_ops
00000000000000f0 t ax88172_link_reset
0000000000001020 r ax88172_netdev_ops
0000000000000750 t ax88172_set_multicast
00000000000016e0 t ax88178_bind
0000000000000590 t ax88178_change_mtu
0000000000000b60 r ax88178_ethtool_ops
0000000000000620 r ax88178_info
00000000000008e0 t ax88178_link_reset
00000000000009a0 r ax88178_netdev_ops
0000000000000e20 t ax88178_reset
0000000000000920 r ax8817x_info
0000000000001420 t ax88772_bind
00000000000006a0 r ax88772b_info
0000000000000ea0 r ax88772_ethtool_ops
0000000000000720 r ax88772_info
0000000000000000 t ax88772_link_reset
0000000000000ce0 r ax88772_netdev_ops
00000000000001d0 t ax88772_reset
0000000000000530 t ax88772_unbind
                 U bitrev32
0000000000000000 T cleanup_module
                 U __const_udelay
                 U crc32_le
0000000000000438 d descriptor.41681
0000000000000028 d descriptor.41731
00000000000005c8 d descriptor.41737
00000000000005a0 d descriptor.41740
0000000000000000 d descriptor.41746
0000000000000460 d descriptor.41754
0000000000000578 d descriptor.41760
0000000000000410 d descriptor.41764
00000000000003e8 d descriptor.41766
00000000000003c0 d descriptor.41767
0000000000000398 d descriptor.41768
0000000000000370 d descriptor.41769
0000000000000348 d descriptor.41770
0000000000000550 d descriptor.41772
0000000000000528 d descriptor.41780
0000000000000320 d descriptor.41784
00000000000002f8 d descriptor.41786
00000000000002d0 d descriptor.41787
0000000000000140 d descriptor.41798
0000000000000118 d descriptor.41800
00000000000000f0 d descriptor.41801
00000000000000c8 d descriptor.41802
0000000000000500 d descriptor.41804
00000000000000a0 d descriptor.41807
0000000000000258 d descriptor.41814
00000000000004d8 d descriptor.41814
0000000000000230 d descriptor.41820
0000000000000208 d descriptor.41830
00000000000001e0 d descriptor.41832
00000000000001b8 d descriptor.41833
0000000000000190 d descriptor.41834
0000000000000168 d descriptor.41835
00000000000002a8 d descriptor.41843
0000000000000280 d descriptor.41845
00000000000004b0 d descriptor.41855
0000000000000488 d descriptor.41858
0000000000000050 d descriptor.41859
0000000000000078 d descriptor.41868
0000000000000668 d descriptor.42020
0000000000000640 d descriptor.42068
0000000000000618 d descriptor.42071
00000000000005f0 d descriptor.42074
0000000000000730 d descriptor.42080
0000000000000708 d descriptor.42094
00000000000006e0 d descriptor.42097
00000000000006b8 d descriptor.42098
0000000000000690 d descriptor.42099
                 U dev_kfree_skb_any
00000000000008a0 r dlink_dub_e100_info
                 U __dynamic_netdev_dbg
                 U eth_mac_addr
                 U eth_validate_addr
                 U __fentry__
00000000000000de r __func__.41682
0000000000000010 r __func__.41732
00000000000013d0 r __func__.41738
0000000000000000 r __func__.41747
00000000000000f0 r __func__.41755
00000000000013b0 r __func__.41761
00000000000000d0 r __func__.41765
0000000000001390 r __func__.41773
0000000000001380 r __func__.41781
00000000000000c3 r __func__.41785
0000000000000070 r __func__.41799
0000000000001370 r __func__.41805
0000000000000050 r __func__.41808
0000000000000090 r __func__.41815
0000000000001360 r __func__.41815
0000000000000081 r __func__.41831
00000000000000b0 r __func__.41844
0000000000001350 r __func__.41856
0000000000000030 r __func__.41860
0000000000000043 r __func__.41869
0000000000001410 r __func__.42021
0000000000001400 r __func__.42069
0000000000001434 r __func__.42081
0000000000001425 r __func__.42095
                 U generic_mii_ioctl
                 U genphy_resume
                 U get_random_bytes
00000000000007a0 r hawking_uf200_info
00000000000005a0 r hg20f9_info
0000000000000000 T init_module
                 U kfree
                 U kfree_skb
                 U __kmalloc
                 U kmalloc_caches
                 U kmem_cache_alloc_trace
                 U mdiobus_alloc_size
                 U mdiobus_free
                 U mdiobus_register
                 U mdiobus_unregister
                 U memcpy
                 U memmove
                 U mii_check_media
                 U mii_ethtool_gset
                 U mii_link_ok
                 U mii_nway_restart
00000000000006e0 r __module_depends
0000000000000120 R __mod_usb_device_table
                 U msleep
                 U mutex_lock
                 U mutex_unlock
                 U __netdev_alloc_skb
                 U netdev_err
                 U netdev_info
0000000000000820 r netgear_fa120_info
                 U phy_connect
                 U phy_disconnect
                 U phy_ethtool_gset
                 U phy_ethtool_sset
                 U phy_mii_ioctl
                 U phy_print_status
                 U phy_start
                 U phy_start_aneg
                 U phy_stop
0000000000000120 r products
                 U skb_copy_expand
                 U skb_push
                 U skb_put
                 U snprintf
                 U strlcpy
0000000000000000 D __this_module
000000000000053f r __UNIQUE_ID_alias10
0000000000000511 r __UNIQUE_ID_alias11
00000000000004e3 r __UNIQUE_ID_alias12
00000000000004b5 r __UNIQUE_ID_alias13
0000000000000487 r __UNIQUE_ID_alias14
0000000000000459 r __UNIQUE_ID_alias15
000000000000042b r __UNIQUE_ID_alias16
00000000000003fd r __UNIQUE_ID_alias17
00000000000003cf r __UNIQUE_ID_alias18
00000000000003a1 r __UNIQUE_ID_alias19
00000000000006af r __UNIQUE_ID_alias2
0000000000000373 r __UNIQUE_ID_alias20
0000000000000345 r __UNIQUE_ID_alias21
0000000000000317 r __UNIQUE_ID_alias22
00000000000002e9 r __UNIQUE_ID_alias23
00000000000002bb r __UNIQUE_ID_alias24
000000000000028d r __UNIQUE_ID_alias25
000000000000025f r __UNIQUE_ID_alias26
0000000000000231 r __UNIQUE_ID_alias27
0000000000000203 r __UNIQUE_ID_alias28
00000000000001d5 r __UNIQUE_ID_alias29
0000000000000681 r __UNIQUE_ID_alias3
00000000000001a7 r __UNIQUE_ID_alias30
0000000000000179 r __UNIQUE_ID_alias31
000000000000014b r __UNIQUE_ID_alias32
000000000000011d r __UNIQUE_ID_alias33
00000000000000ef r __UNIQUE_ID_alias34
00000000000000c1 r __UNIQUE_ID_alias35
0000000000000093 r __UNIQUE_ID_alias36
0000000000000653 r __UNIQUE_ID_alias4
0000000000000625 r __UNIQUE_ID_alias5
00000000000005f7 r __UNIQUE_ID_alias6
00000000000005c9 r __UNIQUE_ID_alias7
000000000000059b r __UNIQUE_ID_alias8
000000000000056d r __UNIQUE_ID_alias9
0000000000000058 r __UNIQUE_ID_author0
000000000000000c r __UNIQUE_ID_description2
00000000000006f3 r __UNIQUE_ID_intree1
0000000000000000 r __UNIQUE_ID_license3
0000000000000070 r __UNIQUE_ID_srcversion37
00000000000006fc r __UNIQUE_ID_vermagic0
0000000000000044 r __UNIQUE_ID_version1
                 U usb_deregister
                 U usbnet_change_mtu
                 U usbnet_disconnect
                 U usbnet_get_drvinfo
                 U usbnet_get_endpoints
                 U usbnet_get_link
                 U usbnet_get_msglevel
                 U usbnet_get_settings
                 U usbnet_link_change
                 U usbnet_nway_reset
                 U usbnet_open
                 U usbnet_probe
                 U usbnet_read_cmd
                 U usbnet_resume
                 U usbnet_set_msglevel
                 U usbnet_set_settings
                 U usbnet_skb_return
                 U usbnet_start_xmit
                 U usbnet_stop
                 U usbnet_suspend
                 U usbnet_tx_timeout
                 U usbnet_unlink_rx_urbs
                 U usbnet_update_max_qlen
                 U usbnet_write_cmd
                 U usbnet_write_cmd_async
                 U usb_register_driver

Comment 5 Fedora Update System 2014-04-02 08:56:52 UTC
dracut-037-10.git20140402.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dracut-037-10.git20140402.fc20

Comment 6 Fedora Update System 2014-04-03 04:03:08 UTC
Package dracut-037-10.git20140402.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-037-10.git20140402.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4704/dracut-037-10.git20140402.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-04-06 02:37:05 UTC
dracut-037-10.git20140402.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.